## org.apache.mahout.classifier.bayes.interfaces
Interface Datastore

All Known Implementing Classes:
  HBaseBayesDatastore, InMemoryBayesDatastore

    public interface Datastore

The Datastore interface for the `Algorithm` to use

Method Summary
`java.util.Collection<java.lang.String>` `getKeys(java.lang.String name)` get the keySet of a given Matrix/Vector as given by `name`
`double` `getWeight(java.lang.String vectorName, java.lang.String index)` Gets a double value from the Vector pointed to by the `vectorName` from its cell pointed to by the `index`
`double` `getWeight(java.lang.String matrixName, java.lang.String row, java.lang.String column)` Gets a double value from the Matrix pointed to by the `matrixName` from its cell pointed to by the `row` and `column` string
`void` `initialize()` Initializes the and loads the model into memory/cache if necessary

Method Detail

### getWeight

    double getWeight(java.lang.String matrixName,
                     java.lang.String row,
                     java.lang.String column)
                     throws InvalidDatastoreException

  Gets a double value from the Matrix pointed to by the `matrixName` from its cell pointed to by the `row` and `column` string

  Parameters:
    `matrixName` -
    `row` -
    `column` -
  Returns:
    double value
  Throws:
    `InvalidDatastoreException`

### getWeight

    double getWeight(java.lang.String vectorName,
                     java.lang.String index)
                     throws InvalidDatastoreException

  Gets a double value from the Vector pointed to by the `vectorName` from its cell pointed to by the `index`

  Parameters:
    `vectorName` -
    `index` -
  Returns:
    double value
  Throws:
    `InvalidDatastoreException`

### getKeys

    java.util.Collection<java.lang.String> getKeys(java.lang.String name)
                                                   throws InvalidDatastoreException

  get the keySet of a given Matrix/Vector as given by `name`

  Parameters:
    `name` -
  Returns:
    Collection of keys of Matrix/Vector
  Throws:
    `InvalidDatastoreException`

### initialize

    void initialize()
                    throws InvalidDatastoreException

  Initializes the and loads the model into memory/cache if necessary

  Throws:
    `InvalidDatastoreException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.